Bug 129190 - Unable to mount root fs after kernel upgrade
Unable to mount root fs after kernel upgrade
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-04 18:08 EDT by Matt Whiteley
Modified: 2015-01-04 17:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Whiteley 2004-08-04 18:08:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040707 Firefox/0.8

Description of problem:
Install kernel upgrade, everything appears to succeed including update
of grub. Upon reboot message is displayed "Unable to mount root fs on
unknown-block(0,0).

Version-Release number of selected component (if applicable):
 kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1.Upgrade kernel
2.Reboot
3.
    

Actual Results:  Boot hangs with above message.

Expected Results:  Normal boot and load of kernel.

Additional info:

I have a MSI K8N Neo Platinum motherboard
The root drive is installed on the main sata ports (not on the onboard
raid controller) and was correctly identified at install and worked
fine  previously. Root drive is /dev/hde with 100mb ext3 boot
partition at /dev/hde1. Grub was configured properly and the old
kernel still boots without fail.

http://www.msicomputer.com/product/p_spec.asp?model=K8N_Neo_Platinum&class=mb
Comment 1 Matt Whiteley 2004-08-22 23:40:02 EDT
Problem still exists in kernel-2.6.8-1.521, so I am still running
kernel-2.6.6-1.435.2.3, as this is the most current that will boot.
Comment 2 Matthew 2004-08-27 23:27:41 EDT
I had a similar problem with an Asus K8N-E motherboard with SATA
drives.  The problem appears to be that the SATA driver has changed
with libata between kernel releases, and the new initrd is not built
with SATA driver support.

While still booted in the old kernel, you can create an initrd that
will allow the new kernel to boot.

For example:

/sbin/mkinitrd /boot/initrd-2.6.8-1.521.img 2.6.8-1.521 --with=sata_XXX

where XXX is something like <sil, sx4, sis, via, promise, nv, vsc, or svw>

However, the bug that still exists is that these SATA modules are not
automatically built into the initrd as SCSI modules currently are. 
This problem also applies to the i686 kernel packages as well as the
x86_64 packages.
Comment 3 Matt Whiteley 2004-09-04 16:57:53 EDT
I attempted the above suggestion to no avail. The driver I chose was
sata_nv since it is a nvidia nforce mobo and dmesg reports the sata
devices to be nvidia devices.

I then looked at the contents of the initrd images and found that the
2.6.5 kernel that works and the 2.6.8 kernel that does not contain the
same files.

[root@fork mnt-2.6.5]# find -type f
./bin/nash
./bin/insmod
./lib/raid1.ko
./lib/reiserfs.ko
./linuxrc

[root@fork mnt-2.6.8]# find -type f
./bin/nash
./bin/insmod
./lib/raid1.ko
./lib/reiserfs.ko
./linuxrc

The initrd that I made with the above mentioned command has some extra
files but is still unsuccessful at boot.

[root@fork mnt-new]# find -type f
./bin/nash
./bin/insmod
./lib/sata_nv.ko
./lib/raid1.ko
./lib/reiserfs.ko
./lib/scsi_mod.ko
./lib/libata.ko
./linuxrc

So the sata_nv.ko or any other sata_XXX.ko is not included in the
working initrd but the 2.6.8 kernel with a seemingly identical initrd
will not boot.
Comment 4 Dave Jones 2005-04-16 02:05:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.